com.salesforce.datacloud.jdbc.util

## Class ConsumingPeekingIterator<T>

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.ConsumingPeekingIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public class ConsumingPeekingIterator<T>
    extends Object
    implements Iterator<T>

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`
`static <T> ConsumingPeekingIterator<T>` `of(Stream<T> stream, Predicate<T> isNotEmpty)`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Method Detail

#### of

    public static <T> ConsumingPeekingIterator<T> of(Stream<T> stream,
                                                     Predicate<T> isNotEmpty)

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`